<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];

if ($_REQUEST["ctr"]) {
    $ctr        = $_REQUEST["ctr"];
    $hide       = $_REQUEST["hide"];
    $hide_var   = "";
    if ($hide == 0) {
        $hide_var = 'style="display:none;"';
    }
    $mctr = $ctr;
    $mctr++;

    Echo "<tr>";
    Echo "<td><i class='fa fa-close remove'></i></td>";
    Echo "<td><input type='text' class='form-control form text-right srno'   name='srno_$ctr'         value='$mctr'></td>";
    Echo "<td><input type='text' class='form-control form itemcode'          name='itemcode_$ctr'     value=''></td>";
    
    Echo "<td>";
    Echo "<select class='form-control form select2 item  fetchpart_$ctr' name='item_$ctr' style='width:100%'>";
    Echo "<option value=''></option>";
    $gitem = mysqli_query($conn, 'SELECT * FROM `item` order by name')or die(mysqli_error($conn));
    while ($item = mysqli_fetch_array($gitem)) {
        Echo "<option value='$item[code]'>$item[name]</option>";
    }
    Echo "</select>";
    Echo "</td>";

    Echo "<td>";
    Echo "<select class='form-control form select2 color  fetchpart_$ctr' name='color_$ctr' style='width:100%'>";
    Echo "<option value=''></option>";
    $gcolor = mysqli_query($conn, 'SELECT * FROM `color` order by name')or die(mysqli_error($conn));
    while ($color = mysqli_fetch_array($gcolor)) {
        Echo "<option value='$color[code]'>$color[name]</option>";
    }
    Echo "</select>";
    Echo "</td>";
    
    Echo "<td><input type='text' class='form-control form text-right trqty'  name='trqty_$ctr'        value='0'></td>";

    Echo "<td><input type='text' class='form-control form text-right rate'   name='rate_$ctr'         value='0'></td>";
    Echo "<td><input type='text' class='form-control form text-right amount' name='amount_$ctr'       value='0' readonly></td>";
    Echo "</tr>";

    $ctr++;
} else {
    echo "ERROR";
}
?>
 